Subject: Re: [patch net-next 0/6] selftests: virtio_net: introduce initial testing infrastructure

From: Jakub Kicinski <[email-masked]>
Date: Fri, 12 Apr 2024 18:04:28 -0700

On Fri, 12 Apr 2024 17:13:08 +0200 Jiri Pirko wrote:
> This patchset aims at introducing very basic initial infrastructure
> for virtio_net testing, namely it focuses on virtio feature testing.
> 
> The first patch adds support for debugfs for virtio devices, allowing
> user to filter features to pretend to be driver that is not capable
> of the filtered feature.

Two trivial points: MAINTAINERS should probably be updated to bestow
the responsibility over these to virtio folks; there should probably
be a config file. Admittedly anyone testing in a VM should have VIRTIO
and anyone not in a VM won't test this... but it's a good practice.

Did you investigate how hard it would be to make virtme-ng pop out
two virtio interfaces?  It's a pretty hackable Python code base and
Andrea is very responsive so would be nice to get that done. And then
its trivial to run those in our CI.